<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>std2</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="mean2.html">&lt;&lt; mean2</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="stdev2.html">stdev2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a> &gt; std2</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">std2</h1>
    <p class="refpurpose">Standard deviation of 2D matrix elements</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">s</span><span class="default"> = </span><span class="functionid">std2</span><span class="default">(</span><span class="default">im</span><span class="default">)</span>
<span class="default">s</span><span class="default"> = </span><span class="default">stdev2</span><span class="default">(</span><span class="default">im</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">An matrix/image, which can be integer or double matrix, but must be one channel image.</p></dd></dt>
   <dt><span class="term">s :</span>
      <dd><p class="para">The standard deviation, a scalar of class double.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">std2/stdev2 computes standard deviation of matrix im using stdev(im(:)).</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mean2.html" class="link">mean2</a></li>
   <li class="member"><a href="corr2.html" class="link">corr2</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="mean2.html">&lt;&lt; mean2</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="stdev2.html">stdev2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
